# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cucumber/json/api/steps/version'

Gem::Specification.new do |spec|
  spec.name          = "cucumber-json-api-steps"
  spec.version       = Cucumber::Json::Api::Steps::VERSION
  spec.authors       = ["Matt Pruitt"]
  spec.email         = ["matt@guitsaru.com"]
  spec.summary       = %q{Cucumber steps for testing JSON API's}
  spec.homepage      = "http://bleacherreport.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "jsonpath"
  spec.add_dependency "json_paths"
  spec.add_dependency "cucumber-rails"

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
end
